

<ion-content>

    <ion-row>
        <ion-col>
            <ion-item lines="none">
                <div class="ion-round ion-round-circle ion-border ion-border-danger ion-mr-3" style="padding: 6px 8px;">
                    <ion-icon name="location-outline" color="danger" class="ion-font-xl"></ion-icon>
                </div>
                <ion-label>
                    <h6>Mi direccion</h6>
                    <p class="ion-font-sm">
                        Lorem ipsum dolor sit amet.
                    </p>
                </ion-label>
                <!-- <ion-button fill="clear" color="danger" slot="end">
                    <ion-text class="ion-text-capitalize">
                        Cambiar
                    </ion-text>
                </ion-button> -->
            </ion-item>
        </ion-col>
    </ion-row>

    <ion-row>
        <ion-col>
            <ion-list>
                <ion-list-header>
                    <ion-label color="dark">
                        <strong class="ion-font-md">Pago</strong>
                    </ion-label>
                </ion-list-header>
                <ion-item lines="none">
                    <ion-icon src="assets/img/master-card.svg" slot="start"></ion-icon>
                    <ion-label class="ion-text-wrap">
                        <h2>Master Card</h2>
                        <p class="ion-font-sm">
                            Lorem ipsum dolor sit amet consectetur.
                        </p>
                    </ion-label>
                </ion-item>

                <ion-list-header>
                    <ion-label color="dark">
                        <strong class="ion-font-md">Envio</strong>
                    </ion-label>
                </ion-list-header>
                <ion-item lines="none">
                    <ion-icon src="assets/img/deliver.svg" slot="start"></ion-icon>
                    <ion-label class="ion-text-wrap">
                        <h2>Delivery</h2>
                        <p class="ion-font-sm">
                            Lorem ipsum dolor sit amet consectetur.
                        </p>
                    </ion-label>
                </ion-item>
            </ion-list>
        </ion-col>
    </ion-row>

    <ion-row>
        <ion-col>
            <ion-label color="medium">
                <h6 class="ion-pl-2">
                    {{ service.pedido.pedidos.length }} Productos
                </h6>
            </ion-label>
            <div class="non-scrollbar scroll-x ion-px-2">
                <ng-container *ngFor="let p of service.pedido.pedidos">
                    <ion-card class="ion-border-right ion-border-secondary ion-pr-4 ion-shadow-0 ion-round-0 ion-mx-0 ion-my-3">
                        <ion-row class="ion-align-items-center">
                            <ion-col>
                                <ion-thumbnail>
                                    <ion-img [src]="p?.thumbnail" class="ion-round-circle"></ion-img>
                                </ion-thumbnail>
                            </ion-col>
                            <ion-col size="auto">
                                <ion-label color="dark">
                                    <h4 class="ion-font-bold">{{ p.name | length:16 }}</h4>
                                    <ion-text color="medium">
                                        <p class="ion-font-sm">{{ p.unit }} x ${{ p.price }}</p>
                                    </ion-text>
                                </ion-label>
                            </ion-col>
                        </ion-row>
                    </ion-card>
                </ng-container>
            </div>
        </ion-col>
    </ion-row>

    <ion-row>
        <ion-col>
            <div class="ion-mx-n3 ion-mb-n3">
                <ion-img src="assets/img/broken-paper.png"></ion-img>
            </div>
            <ion-list>
                <ion-item lines="none" style="--min-height: auto;">
                    <ion-label slot="start" color="medium">
                        <small>Subtotal</small>
                    </ion-label>
                    <ion-note slot="end" color="medium" class="ion-font-sm">
                        {{ service.pedido.subtotal() | currency }}
                    </ion-note>
                </ion-item>
                <ng-container>
                    <ion-item lines="none" style="--min-height: auto;">
                        <ion-label slot="start" color="medium">
                            <small>Delivery</small>
                        </ion-label>
                        <ion-note slot="end">
                            <ion-chip color="primary" class="ion-mr-n2">
                                <small>{{ tiendaService.model?.delivery }}</small>
                            </ion-chip>
                        </ion-note>
                    </ion-item>
                </ng-container>
                <ion-item lines="none" style="--min-height: auto;">
                    <ion-label slot="start" color="medium">
                        <small>Descuento</small>
                    </ion-label>
                    <ion-note slot="end" color="medium" class="ion-font-sm">
                        {{ 0 | currency }}
                    </ion-note>
                </ion-item>
                <ion-item lines="none" class="ion-border-top ion-border-light ion-m-2" style="--min-height: auto;">
                    <ion-label slot="start" color="medium">
                        <small class="ion-font-bold">Tu orden</small>
                    </ion-label>
                    <ion-note slot="end" color="medium" class="ion-font-sm">
                        {{ 170 | currency }}
                    </ion-note>
                </ion-item>
            </ion-list>
        </ion-col>
    </ion-row>
</ion-content>

<ion-footer class="ion-no-border">
    <ion-toolbar>
        <ion-button expand="block" class="ion-margin-horizontal">
            <ion-text class="ion-text-capitalize">
                <strong>Terminar</strong>
            </ion-text>
        </ion-button>
    </ion-toolbar>
</ion-footer>
